package MyCanvas.GameCanvas;

/*
 *  i use sound data.http://freesound.org/people/razor2988/sounds/172877/
 *  razor2988 This work is licensed under the Creative Commons 0 License.
 *  http://creativecommons.org/publicdomain/zero/1.0/
 */

import java.applet.*;

public class MyGunSound implements Runnable{

	public AudioClip ac=null;
	
	public MyGunSound(){
		ac=Applet.newAudioClip(getClass().getResource("gun.wav"));
	}
	
	public void gunPlay(){
    	Thread thread = new Thread(this);
    	thread.start();
	}
	
	public void run(){
		ac.play();
	}
}
